/*
Theme Name: Shoptimizer Child Theme
Theme URI: 
Description: Child theme of Shoptimizer
Author: CommerceGurus
Author URI: 
Template: shoptimizer
Version: 1.5.2
License:         	GNU General Public License v2 or later
License URI:     	http://www.gnu.org/licenses/gpl-2.0.html
*/

.e-contact-buttons__chat-button.has-size-large svg, .e-contact-buttons__chat-button[type=button].has-size-large svg {
    height: 28px;
    width: 28px;
}
.elementor-image-box-wrapper:not(:has(.elementor-image-box-content)) .elementor-image-box-img {
    display: none;
}
.search .archive-header,
.tax-product_cat .archive-header {
    background-color: #efeee3;
}
div#e-contact-buttons__content-wrapper {
    width: 100%;
} 
a.product-location {
    position: relative;
    margin-bottom: .25rem;
    -webkit-font-smoothing: antialiased;
    color: #444;
    line-height: 1.4;
    font-size: clamp(.625rem, .5615rem + .2033vw, .6875rem);
    letter-spacing: .7px;
    text-transform: uppercase;
    margin-bottom: 0;
}
.product-attributes p strong {
    font-size: 12px;
    margin-bottom: 6px;
    text-transform: uppercase;
    font-weight: 600;
    letter-spacing: .5px;
}
span.cgkit-attribute-swatch.cgkit-button {
    border: 1px solid #333;
    display: inline-block;
    padding: 0 9px;
    border-radius: 2px;
    background: #fff;
    font-size: 13px;
    line-height: 1;
    color: #333;
    position: relative;
    min-width: 47px;
    min-height: 43px;
    line-height: 43px;
    text-align: center;
    transition: background .2s;
    margin-bottom: 10px;
}
.header-5 .shoptimizer-cart a.cart-contents{
    border: 0;
}
.homepage-features .elementor-icon-box-content .elementor-icon-box-description{
    text-align: left;
    margin: auto;
}
.homepage-features a:hover {
    background-color: #000 !important;
}
.ti-widget.ti-goog .ti-header-write-btn-container .ti-header-write-btn {
    background-color: #F7CD10 !important;
    border-color: #F7CD10 !important;
    color: #000 !important;
    border-radius: 30px !important;
}
.anpc-holder .anpc-sal {
    background-image: url("/wp-content/uploads/2024/11/anpc-sal.webp");
    background-repeat: no-repeat;
}
.anpc-holder .anpc-sol {
    background-repeat: no-repeat;
    background-image: url("/wp-content/uploads/2024/11/anpc-sol.webp");
}
.anpc-holder {
    display: flex;
    padding: 5px 0;
    flex-wrap: wrap;
    gap: 12px;
    justify-content: center;
}

.anpc-holder .anpc-sal, .anpc-holder .anpc-sol {
    width: 250px;
    height: 62px;
    background-size: 250px 62px;
    display: inline-block;
    vertical-align: middle;
}
.elementor-field-group-cat_amanet .select-caret-down-wrapper {
    display: none;
}
.below-content .widget_text.widget.widget_custom_html span {
    padding-left: 15px;
}
.summary.entry-summary div#custom_html-9 {
    margin-top: 35px;
}

.summary.entry-summary div#custom_html-9 h3,
.summary.entry-summary div#custom_html-9 h4 {
    font-size: 14px;
}

.summary.entry-summary div#custom_html-9 h3{
    font-weight: 500;
}
.summary.entry-summary div#custom_html-9 h4 {
    margin-bottom: 2px !important;
    font-weight: 700 !important;
    color: var(--e-global-color-accent) !important;
    text-transform: uppercase !important;
}
.location p {
    margin-bottom: 2px !important;
}
.google_map{
    margin-top: 10px;
}
.summary.entry-summary div#custom_html-9 a{
    color: #000;
    text-decoration: none;
}
.google_map_container .location {
    margin-bottom: 25px;
}
.summary.entry-summary div#custom_html-9 svg {
    margin-right: 5px;
}


.product-attributes p {
    font-size: 15px;
    margin-bottom: 5px;
    color: #000;
}
div#e-contact-buttons__content-wrapper {
    outline: 0;
}
@media (min-width: 993px) {
    .h_title_agentie span span,
    .h_title span {
        display: block;
        font-size: 21px;
        font-weight: 400;
        letter-spacing: 0.1px;
    }
    .search .archive-header,
    .tax-product_cat .archive-header {
        margin-bottom: 30px;
    }
    .shoptimizer-category-banner {
        padding: 2rem 0 0;
    }
    .secondary-wrapper button.filters.close-drawer {
        display: none;
    }
    .theme-shoptimizer.admin-bar.single-product .commercekit-sticky-add-to-cart + .summary.entry-summary{
        top: 0 !important; 
    }
 
    .below-content .widget_text.widget.widget_custom_html {
        display: flex;
        flex-direction: row-reverse;
        justify-content: start;
        align-items: center;
        gap: 0;
    }
    nav.secondary-navigation,
    .site-header .site-branding {
        width: 25%;
    }
    .homepage-features .elementor-icon-box-content .elementor-icon-box-description {
        width: 80%;
    }

    .no_upp a {
        text-transform: uppercase !important;
    }
    nav#site-navigation{
        width: 100%;
    }
    #menu-amanet-menu .no_upp {
        /* margin-left: 70px; Ajustează valoarea după preferință */
    }
    nav#site-navigation .menu {
        display: flex;
        justify-content: space-evenly;
        align-items: center;
        width: 100%;
    }
    #nav-menu-item-9928, 
    #nav-menu-item-7234 {
        margin-left: auto; /* Împinge aceste elemente la dreapta */
        display: inline-block; /* Asigură alinierea pe același rând */
        float: right; /* Poziționează elementele lipite de dreapta */
    }


    #menu-amanet-menu .no_upp + .no_upp {
        margin-left: 0; /* Înlătură marginea pentru celelalte elemente */
    }
    nav.secondary-navigation{
        text-align: right;
    }
    .col-full.topbar-wrapper{
        padding: 0;
    }
    .top-bar > div {
        flex-direction: column;
        max-width: 100%;
        margin: 0;
    }
    .top-bar .col-full > div{
        width: 100%;
        max-width: 100%;
        display: block;
    }
    ul li.swiper-slide.less-images:first-child:after {
        content: "*Imaginile noastre au doar rol de prezentare";
        width: 100%;
        display: block;
        text-align: center;
        margin: 20px 0;
        font-style: italic;
        background-color: #eeeeee;
    }
    .product-attributes {
        margin: 15px 0 20px;
    }
}
.cgkit-as-wrap .cgkit-attribute-swatches .cgkit-attribute-swatch.cgkit-button button.cgkit-swatch-selected,
.cgkit-as-wrap .cgkit-attribute-swatches .cgkit-attribute-swatch.cgkit-image > button.cgkit-swatch-selected:before {
    border: 2px solid #F7CD10;
}
.woocommerce-checkout div#message-purchased,
p#billing_country_field,
.shoptimizer-sorting:not(.sorting-end),
#tab-reviews,
li#tab-title-reviews{
    display: none !important;
}
/* .woocommerce-tabs.wc-tabs-wrapper{
    display: none;
} */
section.related.products h2 {
    text-align: center;
}
.cgkit-as-wrap .cgkit-attribute-swatches .cgkit-attribute-swatch.cgkit-image button {
    width: 85px;
    height: 85px;
}
span.cgkit-chosen-attribute.no-selection {
    color: #ff0000;
    font-weight: 600;
}
div#text-17 p {
    background-color: #f1f1f1;
    border-radius: 5px;
    padding: 15px;
}
.agentii_orase.grid-full {
    column-count: 2;
    column-gap: 60px
}

.agentii_orase.grid-full h2 {
    border-bottom: 1px solid #F2991E;
    font-size: 16px;
    margin-bottom: 5px;
    padding-bottom: 5px;
    font-weight: 500;
}

.agentii_orase.grid-full h2 a {
    color: #000;
}
.agentii_orase.grid-full h2 a:hover,
#agentii li a:hover{
    color: #F2991E;
}
#agentii li{
    list-style-type: none;
    font-weight: 500;
    display: flex;
    align-items: center;
}
ul#agentii {
    margin-left: 0;
}
#agentii li::before {
    content: " ";
    background-image: url("data:image/svg+xml,%3Csvg width='11' height='9' viewBox='0 0 11 9' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M1 8.16699L5 4.66699L1 1.16699' stroke='%231A1A18'/%3E%3Cpath d='M6 8.16699L10 4.66699L6 1.16699' stroke='%231A1A18'/%3E%3C/svg%3E");
    margin-right: 5px; /* Distanța dintre simbol și text */
    color: #000; /* Culoarea simbolului */
    width: 9px;
    height: 7px;
    background-size: contain;
    background-repeat: no-repeat;
}

#agentii li a {
    color: #000; /* Culoarea simbolului */
}
.program_box_agentie .elementor-image-box-title {
    display: flex;
    gap: 10px;
}

.agentie-template-default .shoptimizer-archive .col-full {
    box-sizing: content-box;
    margin-right: auto;
    margin-left: auto;
    padding: 0;
    max-width: inherit;
}
.agentie-template-default .archive-header{
    display: none;
}
.tax-localitate .post-thumbnail img {
    display: block; /* Asigură că se aplică stilurile */
    aspect-ratio: 4 / 3; /* Setează proporția dorită (ex. 16:9) */
    width: 100%; /* Lățimea se ajustează automat */
    object-fit: cover; /* Ajustează imaginea pentru a umple proporția fără a o deforma */
}
.branch-phone a {
    color: #000;
    font-weight: 500;
}
.tax-localitate h2.entry-title a{
    color: #000;
}

/* Container de Grid */
.grid-container {
    display: grid;
    grid-template-columns: repeat(4, 1fr); /* 4 coloane */
    gap: 20px; /* Spațiu între articole */
    margin: 20px 0;
    align-items: stretch; /* Elemente cu aceeași înălțime */
}

/* Articol individual */
.archive-item {
    display: flex;
    flex-direction: column; /* Asigură organizarea verticală */
    justify-content: space-between; /* Conținutul intern este distribuit uniform */
    border: 1px solid #ddd;
    padding: 15px;
    background: #fff;
    text-align: center;
    transition: box-shadow 0.3s ease;
}

.archive-item:hover {
    box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.1);
}

/* Imaginea articolului */
.archive-item .post-thumbnail img {
    max-width: 100%;
    height: auto;
    margin-bottom: 15px;
}

/* Titlul articolului */
.archive-item .entry-title {
    font-size: 18px;
    margin: 10px 0;
    flex-grow: 1; /* Forțează titlul să se extindă dacă este necesar */
}

/* Adresa și telefon */
.branch-address,
.branch-phone {
    display: flex;
    align-items: start;
    justify-content: left;
    text-align: left;
    gap: 10px;
    font-size: 16px;
    margin-bottom: 10px;
    line-height: normal;
}

.branch-address img,
.branch-phone img {
    width: 20px;
    height: 20px;
}
button.e-contact-buttons__chat-button:after {
    content: "Contact";
    font-size: 10px;
    font-weight: 800;
}
button.e-contact-buttons__chat-button {
    display: flex;
    flex-direction: column;
}
.e-contact-buttons-var-8 .e-contact-buttons__contact-icon-link{
    grid-template-columns: auto 1fr;
    grid-template-rows: repeat(1, 1fr);
}
/* Responsive Design */
@media (max-width: 1024px) {
    .grid-container {
        grid-template-columns: repeat(2, 1fr); /* 2 coloane pe ecrane mai mici */
    }
}
.shoptimizer-cart a.cart-contents .shoptimizer-cart-icon .mini-count {
    top: -10px;
    left: -10px;
}
@media (max-width: 768px) {
    .grid-container {
        grid-template-columns: 1fr; /* 1 coloană pe ecrane mici */
    }
}
.elementor-widget-contact-buttons-var-8 {
    z-index: 99;
}

@media (max-width: 987px){
    .h_title_agentie span span,
    .h_title span {
        display: block;
        font-size: 18px;
        font-weight: 400;
        line-height: 20px;
        letter-spacing: 0.1px;
    }
    .product-attributes {    
        margin-bottom: 5px;
    }
    .single.single-product .swiper-container.cg-main-swiper.swiper-container-initialized.swiper-container-horizontal:after {
        text-align: center;
        content: "IMAGINILE AU SCOP INFORMATIV";
        width: 100% !important;
        display: inline-block;
    }
    .below-content .widget_text.widget.widget_custom_html {
        display: flex;
        flex-direction: row-reverse;
        justify-content: center;
        align-items: center;
        gap: 0;
    }
    .col-full.topbar-wrapper{
        padding: 0;
    }
    .hero_banner ul.elementor-icon-list-items li {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
    .topbar-wrapper .top-bar{
        padding: 0;
    }
    button.mobile-search-toggle{
        background-color: transparent !important;
    }
    footer.copyright .widget p,
    footer.site-footer {
        text-align: center;
    }
    footer.site-footer img {
        margin: auto;
    }
    #agentii li{
        margin-bottom: 5px;
    }
    .icon_mobile:not(.program_box_agentie) div {
        display: flex;
        flex-direction: row;
        align-items: center;
        gap: 15px;
    }
    .icon_mobile.program_box_agentie div {
        display: flex;
        flex-direction: row;
        gap: 15px;
    }
    .program_box_agentie .elementor-image-box-title {
        display: flex;
        gap: 0;
        flex-direction: column;
    }
    .badges .elementor-icon-box-wrapper .elementor-icon-box-icon {
        display: flex !important;
        justify-content: center;
        align-items: center;
    }
    
    .badges .elementor-icon-box-wrapper .elementor-icon-box-content {
        display: flex;
        justify-content: center;
        align-items: center;
    }
    button.mobile-filter.shoptimizer-mobile-toggle {
        display: flex;
        justify-content: center;
        align-items: center;
        padding-left: 0 !important;
        padding-right: 0 !important;
        font-size: 19px;
        margin-bottom: 30px;
        width: calc(100% + 2.1em);
    }
    
    .mobile-filter svg {
        position: relative;
        left: 0;
        width: 25px;
        height: 25px;
        top: 0;
        transform: none;
        margin-right: 10px;
    }
    button.filters.close-drawer {
        background-color: var(--e-global-color-primary) !important;
    }
    .menu-toggle .bar {
        width: 32px;
        height: 2px;
    }

    .menu-toggle .bar:nth-child(1) {
        margin-top: -7px
    }

    .menu-toggle .bar:nth-child(2) {
        margin-top: 0px;
    }

    .menu-toggle .bar:nth-child(3) {
        margin-top: 7px;
    }
    .main-navigation ul.menu ul li > a, .main-navigation ul.nav-menu ul li > a, .main-navigation ul.menu ul li.nolink,
    .menu-primary-menu-container > ul > li > a, .shoptimizer-cart .cart-contents {
        font-size: 21px !important;
    }
    .mobile-extra .textwidget li, .mobile-extra .textwidget li a {
        font-size: 21px;
    }
}
